Package: org.gradle.api.tasks

## [Java] Annotation Type Optional

- org.gradle.api.tasks.Optional

- Marks a task property as optional. This means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.

  This annotation can be used with any of the following property annotations:

  - Input
  - InputFile
  - InputDirectory
  - InputFiles
  - OutputFile
  - OutputDirectory

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`